/*
 *  MultiFunciton Serial Serial Driver
 */

#ifndef _MFSDEV_FM3_H_
#define _MFSDEV_FM3_H_



/*
 *  Interrupt Handler
 */
void  MFS0RX_IRQHandler(void);
void  MFS0TX_IRQHandler(void);
void  MFS1RX_IRQHandler(void);
void  MFS1TX_IRQHandler(void);
void  MFS2RX_IRQHandler(void);
void  MFS2TX_IRQHandler(void);
void  MFS3RX_IRQHandler(void);
void  MFS3TX_IRQHandler(void);
void  MFS4RX_IRQHandler(void);
void  MFS4TX_IRQHandler(void);
void  MFS5RX_IRQHandler(void);
void  MFS5TX_IRQHandler(void);
void  MFS6RX_IRQHandler(void);
void  MFS6TX_IRQHandler(void);
void  MFS7RX_IRQHandler(void);
void  MFS7TX_IRQHandler(void);


/*
 *  Extern Interrupt Handling Funtion of Driver
 */
extern void  uart_IrqHandler(void);




#endif /* _MFSDEV_FM3_H_ */

